Adding a raster layer kills the application on win64
01/15/2016 03:39 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Raster
Target version: 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)
Severity: Blocker Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2414 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

If I add a raster layer (i.e. a GeoTIFF) in a view, the application is killed. See the gvSIG.log in attachment.

History
#1 - 01/20/2016 01:54 PM - Álvaro Anguix
- Assignee set to Francisco Díaz Carsí

#2 - 01/21/2016 07:43 AM - Joaquín  del Cerro Murciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#3 - 01/21/2016 01:39 PM - Francisco Díaz Carsí

Hola Antonio,

no consigo reproducir el error en win64 ni con el build 2414 ni con el 2415.
¿podrías proporcionarnos alguna capa que te dé error?

Gracias.

#4 - 01/21/2016 02:46 PM - Antonio Falciano
- Status changed from New to Closed

Hi Francisco,
I don't know what happened, but it starts to work now in both builds (2414 and 2415)... I've simply applied the fix contained in #4033 and updated
GDAL/OGR standalone libraries (not related to gvSIG). For a quick test, I have executed the "Random DEM" geoprocess and works like a charm now.
I close the ticket and I'll reopen if necessary. Thanks for your kind attention.

#5 - 01/22/2016 11:49 AM - Antonio Falciano

Applying the fixes provided in #4033 and, above all, #4042 solves the issue. It was due to GDAL/OGR libraries standalone installed on my pc that were
loaded first in the native library path. Sorry for the waste of time.
#6 - 01/25/2016 10:35 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)

Files
gvSIG.log 364 KB 01/15/2016 Antonio Falciano
